Audio Generator
C Reference » Production Nodes Functionality

## Functions

XN_C_API XnStatus XN_C_DECL | xnCreateAudioGenerator (XnContext *pContext, XnNodeHandle *phAudioGenerator, XnNodeQuery *pQuery, XnEnumerationErrors *pErrors)
XN_C_API XnUChar *XN_C_DECL | xnGetAudioBuffer (XnNodeHandle hInstance)
XN_C_API XnUInt32 XN_C_DECL | xnGetSupportedWaveOutputModesCount (XnNodeHandle hInstance)
XN_C_API XnStatus XN_C_DECL | xnGetSupportedWaveOutputModes (XnNodeHandle hInstance, XnWaveOutputMode *aSupportedModes, XnUInt32 *pnCount)
XN_C_API XnStatus XN_C_DECL | xnSetWaveOutputMode (XnNodeHandle hInstance, const XnWaveOutputMode *OutputMode)
XN_C_API XnStatus XN_C_DECL | xnGetWaveOutputMode (XnNodeHandle hInstance, XnWaveOutputMode *OutputMode)
XN_C_API XnStatus XN_C_DECL | xnRegisterToWaveOutputModeChanges (XnNodeHandle hInstance, XnStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
XN_C_API void XN_C_DECL | xnUnregisterFromWaveOutputModeChanges (XnNodeHandle hInstance, XnCallbackHandle hCallback)
XN_C_API void XN_C_DECL | xnGetAudioMetaData (XnNodeHandle hInstance, XnAudioMetaData *pMetaData)

## Detailed Description

An Audio Generator node is a Generator that outputs audio data. It supports all Generator functions, and adds additional functions.

## Function Documentation

## xnCreateAudioGenerator()

XN_C_API XnStatus XN_C_DECL xnCreateAudioGenerator | ( | XnContext * | pContext,
|  | XnNodeHandle * | phAudioGenerator,
|  | XnNodeQuery * | pQuery,
|  | XnEnumerationErrors * | pErrors )

Creates an audio generator.

Parameters

  pContext | [in] The context in which to create the audio generator.
  phAudioGenerator | [out] A handle to the created audio generator.
  pQuery | [in] Optional. Can be used to select which audio generator to create. If not specified, this function may create any audio generator that is available.
  pErrors | [in] Optional. If provided, will be filled with information about audio generators that could not be created.

## xnGetAudioBuffer()

XN_C_API XnUChar *XN_C_DECL xnGetAudioBuffer | ( | XnNodeHandle | hInstance | ) |

## xnGetAudioMetaData()

XN_C_API void XN_C_DECL xnGetAudioMetaData | ( | XnNodeHandle | hInstance,
|  | XnAudioMetaData * | pMetaData )

Gets the current audio meta data.

Parameters

  hInstance | [in] A handle to the instance.
  pMetaData | [in] The struct to be filled.

## xnGetSupportedWaveOutputModes()

XN_C_API XnStatus XN_C_DECL xnGetSupportedWaveOutputModes | ( | XnNodeHandle | hInstance,
|  | XnWaveOutputMode * | aSupportedModes,
|  | XnUInt32 * | pnCount )

## xnGetSupportedWaveOutputModesCount()

XN_C_API XnUInt32 XN_C_DECL xnGetSupportedWaveOutputModesCount | ( | XnNodeHandle | hInstance | ) |

## xnGetWaveOutputMode()

XN_C_API XnStatus XN_C_DECL xnGetWaveOutputMode | ( | XnNodeHandle | hInstance,
|  | XnWaveOutputMode * | OutputMode )

## xnRegisterToWaveOutputModeChanges()

XN_C_API XnStatus XN_C_DECL xnRegisterToWaveOutputModeChanges | ( | XnNodeHandle | hInstance,
|  | XnStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle * | phCallback )

## xnSetWaveOutputMode()

XN_C_API XnStatus XN_C_DECL xnSetWaveOutputMode | ( | XnNodeHandle | hInstance,
|  | const XnWaveOutputMode * | OutputMode )

## xnUnregisterFromWaveOutputModeChanges()

XN_C_API void XN_C_DECL xnUnregisterFromWaveOutputModeChanges | ( | XnNodeHandle | hInstance,
|  | XnCallbackHandle | hCallback )